## stapler 0.6.3

=== DESCRIPTION ===
Package: stapler
Version: 0.6.3
Title: Simultaneous Truth and Performance Level Estimation
Description: An implementation of Simultaneous Truth and 
    Performance Level Estimation (STAPLE) <doi:10.1109/TMI.2004.828354>.  This
    method is used when there are multiple raters for an object, typically an
    image, and this method fuses these ratings into one rating.  It uses an
    expectation-maximization method to estimate this rating and the individual
    specificity/sensitivity for each rater.
Authors@R: c(person(given = "John", family = "Muschelli", 
        role = c("aut", "cre"), email = "muschellij2@gmail.com", 
        comment = NULL))
License: GPL-3
Imports: matrixStats, RNifti
Suggests: knitr, rmarkdown, covr, testthat
Encoding: UTF-8
LazyData: true
ByteCompile: true
Type: Package
Maintainer: John Muschelli <muschellij2@gmail.com>
VignetteBuilder: knitr
URL: https://github.com/muschellij2/stapler
BugReports: https://github.com/muschellij2/stapler/issues
RoxygenNote: 6.0.1.9000
NeedsCompilation: no
Packaged: 2017-11-27 15:22:56 UTC; johnmuschelli
Author: John Muschelli [aut, cre]
Repository: CRAN
Date/Publication: 2017-11-27 16:45:56 UTC

## stapler 0.6.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: stapler
-Version: 0.6.3
+Version: 0.6.5
 Title: Simultaneous Truth and Performance Level Estimation
 Description: An implementation of Simultaneous Truth and 
     Performance Level Estimation (STAPLE) <doi:10.1109/TMI.2004.828354>.  This
@@ -23,7 +23,7 @@
 BugReports: https://github.com/muschellij2/stapler/issues
 RoxygenNote: 6.0.1.9000
 NeedsCompilation: no
-Packaged: 2017-11-27 15:22:56 UTC; johnmuschelli
+Packaged: 2018-02-02 17:06:04 UTC; johnmuschelli
 Author: John Muschelli [aut, cre]
 Repository: CRAN
-Date/Publication: 2017-11-27 16:45:56 UTC
+Date/Publication: 2018-02-02 17:15:16 UTC

## stapler 0.6.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: stapler
-Version: 0.6.5
+Version: 0.6.6
 Title: Simultaneous Truth and Performance Level Estimation
 Description: An implementation of Simultaneous Truth and 
     Performance Level Estimation (STAPLE) <doi:10.1109/TMI.2004.828354>.  This
@@ -12,7 +12,7 @@
         comment = NULL))
 License: GPL-3
 Imports: matrixStats, RNifti
-Suggests: knitr, rmarkdown, covr, testthat
+Suggests: knitr, rmarkdown, covr, testthat, spelling
 Encoding: UTF-8
 LazyData: true
 ByteCompile: true
@@ -21,9 +21,10 @@
 VignetteBuilder: knitr
 URL: https://github.com/muschellij2/stapler
 BugReports: https://github.com/muschellij2/stapler/issues
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 6.1.1
+Language: en-US
 NeedsCompilation: no
-Packaged: 2018-02-02 17:06:04 UTC; johnmuschelli
+Packaged: 2019-03-06 14:46:36 UTC; johnmuschelli
 Author: John Muschelli [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-02-02 17:15:16 UTC
+Date/Publication: 2019-03-07 01:20:03 UTC

## stapler 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: stapler
-Version: 0.6.6
+Version: 0.7.1
 Title: Simultaneous Truth and Performance Level Estimation
 Description: An implementation of Simultaneous Truth and 
     Performance Level Estimation (STAPLE) <doi:10.1109/TMI.2004.828354>.  This
@@ -21,10 +21,10 @@
 VignetteBuilder: knitr
 URL: https://github.com/muschellij2/stapler
 BugReports: https://github.com/muschellij2/stapler/issues
-RoxygenNote: 6.1.1
+RoxygenNote: 7.0.1
 Language: en-US
 NeedsCompilation: no
-Packaged: 2019-03-06 14:46:36 UTC; johnmuschelli
+Packaged: 2020-01-03 18:57:42 UTC; johnmuschelli
 Author: John Muschelli [aut, cre]
 Repository: CRAN
-Date/Publication: 2019-03-07 01:20:03 UTC
+Date/Publication: 2020-01-09 18:50:06 UTC

## stapler 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: stapler
-Version: 0.7.1
+Version: 0.8.0
 Title: Simultaneous Truth and Performance Level Estimation
 Description: An implementation of Simultaneous Truth and 
     Performance Level Estimation (STAPLE) <doi:10.1109/TMI.2004.828354>.  This
@@ -14,17 +14,16 @@
 Imports: matrixStats, RNifti
 Suggests: knitr, rmarkdown, covr, testthat, spelling
 Encoding: UTF-8
-LazyData: true
 ByteCompile: true
 Type: Package
 Maintainer: John Muschelli <muschellij2@gmail.com>
 VignetteBuilder: knitr
 URL: https://github.com/muschellij2/stapler
 BugReports: https://github.com/muschellij2/stapler/issues
-RoxygenNote: 7.0.1
+RoxygenNote: 7.3.2
 Language: en-US
 NeedsCompilation: no
-Packaged: 2020-01-03 18:57:42 UTC; johnmuschelli
+Packaged: 2025-04-01 16:01:50 UTC; johnmuschelli
 Author: John Muschelli [aut, cre]
 Repository: CRAN
-Date/Publication: 2020-01-09 18:50:06 UTC
+Date/Publication: 2025-04-01 16:40:02 UTC

## stapler 1.167

=== debian/changelog ===
stapler (1.167-0ubuntu1) oneiric; urgency=low

  * Initial release

 -- James Page <james.page@ubuntu.com>  Tue, 28 Jun 2011 15:14:30 +0100

=== debian/control ===
Source: stapler
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 default-jdk,
 javahelper,
 maven-debian-helper
Build-Depends-Indep:
 default-jdk-doc,
 groovy,
 junit4,
 libasm3-java,
 libcommons-beanutils-java,
 libcommons-discovery-java,
 libcommons-fileupload-java,
 libcommons-io-java,
 libcommons-jexl-java,
 libcssparser-java,
 libguava-java,
 libguava-java-doc,
 libjenkins-commons-jelly-java,
 libjenkins-dom4j-java,
 libjenkins-json-java,
 liblocalizer-java,
 libmaven-enforcer-plugin-java,
 libmaven-install-plugin-java,
 libmaven-javadoc-plugin-java,
 libjellydoc-java,
 libmetainf-services-java,
 libmetainf-services-java-doc,
 libservlet2.5-java,
 libtiger-types-java
Standards-Version: 3.9.2
Homepage: http://stapler.java.net

Package: libstapler-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Description: Stapler HTTP request handling engine
 Stapler is a library that "staples" your application objects to URLs,
 making it easier to write web applications. The core idea of Stapler
 is to automatically assign URLs for your objects, creating an intuitive
 URL hierarchy.
 .
 Stapler provides bindings for:
  * Commons Jelly
  * Groovy
  * JRuby (not packaged)
  * Java Server Pages

Package: libstapler-java-doc
Architecture: all
Section: doc
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libstapler-java
Description: Documentation for libstapler-java
 Stapler is a library that "staples" your application objects to URLs,
 making it easier to write web applications. The core idea of Stapler
 is to automatically assign URLs for your objects, creating an intuitive
 URL hierarchy.
 .
 Stapler provides bindings for:
  * Commons Jelly
  * Groovy
  * JRuby (not packaged)
  * Java Server Pages 
 .
 This package provides the API documentation for libstapler-java.

## stapler 1.174

=== debian/changelog ===
stapler (1.174-2) unstable; urgency=low

  * Fix FTBFS (Closes: #663548):
    - d/libstapler-java.poms: Add --java-lib to ensure artifacts are 
      deployed to /usr/share/java.
  * Bumped Standards-Version: 3.9.3
    - d/copyright: Updated Format to release specification.
  * d/libstapler-java-doc.lintian-overrides: Dropped - no longer required.

  [tony mancill]
  * Set DMUA flag.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Mar 2012 11:51:03 +0000

stapler (1.174-1) unstable; urgency=low

  * Initial Debian release (Closes: #631959)
  * New upstream release

 -- James Page <james.page@ubuntu.com>  Thu, 29 Sep 2011 10:13:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: stapler
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: James Page <james.page@ubuntu.com>
+DM-Upload-Allowed: yes
 Build-Depends:
  cdbs,
  debhelper (>= 7),
@@ -21,6 +23,7 @@
  libcssparser-java,
  libguava-java,
  libguava-java-doc,
+ libjellydoc-java,
  libjenkins-commons-jelly-java,
  libjenkins-dom4j-java,
  libjenkins-json-java,
@@ -28,13 +31,14 @@
  libmaven-enforcer-plugin-java,
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
- libjellydoc-java,
  libmetainf-services-java,
  libmetainf-services-java-doc,
  libservlet2.5-java,
  libtiger-types-java
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://stapler.java.net
+Vcs-Git: git://git.debian.org/git/pkg-java/stapler.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/stapler.git
 
 Package: libstapler-java
 Architecture: all
@@ -68,7 +72,6 @@
   * Commons Jelly
   * Groovy
   * JRuby (not packaged)
-  * Java Server Pages 
+  * Java Server Pages
  .
  This package provides the API documentation for libstapler-java.
-

## stapler 1.182

=== debian/changelog ===
stapler (1.182-1) unstable; urgency=low

  * New upstream release:
    - d/patches/asm3-compat.patch: Dropped - included upstream.
    - d/maven.rules, d/patches/revert-kohsuke-asm3.patch: Use stock asm3
      rather than package renamed fork from upstream as asm version is
      consistent between stapler and jenkins in the archive.
    - Refreshed remaining patches.
  * Enabled test suite.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Apr 2012 11:15:09 +0100

=== debian/control ===
--- 
+++ 
@@ -25,14 +25,17 @@
  libguava-java-doc,
  libjellydoc-java,
  libjenkins-commons-jelly-java,
+ libjenkins-htmlunit-java,
  libjenkins-dom4j-java,
  libjenkins-json-java,
+ libjetty-java,
  liblocalizer-java,
  libmaven-enforcer-plugin-java,
  libmaven-install-plugin-java,
  libmaven-javadoc-plugin-java,
  libmetainf-services-java,
  libmetainf-services-java-doc,
+ libmockito-java,
  libservlet2.5-java,
  libtiger-types-java
 Standards-Version: 3.9.3
@@ -73,5 +76,6 @@
   * Groovy
   * JRuby (not packaged)
   * Java Server Pages
+  * JRebel (not packaged)
  .
  This package provides the API documentation for libstapler-java.

## stapler 1.189

=== debian/changelog ===
stapler (1.189-1) experimental; urgency=low

  * New upstream release:
    - d/control: Added new BD on libannotation-indexer-java.
    - d/maven.{ignoreRules,rules}: Updated for new release.

 -- James Page <james.page@ubuntu.com>  Wed, 19 Sep 2012 11:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  default-jdk-doc,
  groovy,
  junit4,
+ libannotation-indexer-java,
  libasm3-java,
  libcommons-beanutils-java,
  libcommons-discovery-java,

## stapler 1.198

=== debian/changelog ===
stapler (1.198-1~exp1) experimental; urgency=low

  * New upstream release:
    - d/maven.ignoreRules,maven.properties: Drop test dependency
      on hickory, skip tests for the time being.
    - Refreshed patches.
  * Tidied lintian warnings.

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 18:23:12 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>
-DM-Upload-Allowed: yes
 Build-Depends:
  cdbs,
  debhelper (>= 7),
@@ -39,7 +38,7 @@
  libmockito-java,
  libservlet2.5-java,
  libtiger-types-java
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://stapler.java.net
 Vcs-Git: git://git.debian.org/git/pkg-java/stapler.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/stapler.git

## stapler 1.207

=== debian/changelog ===
stapler (1.207-1) unstable; urgency=low

  * New upstream release.
  * Switch to using git patch-queue for patch management.
  * d/control: Update my email addresss.

 -- James Page <jamespage@debian.org>  Mon, 12 Aug 2013 16:32:27 +0100

stapler (1.198-1) unstable; urgency=low

  * Upload to unstable. 

 -- James Page <james.page@ubuntu.com>  Thu, 16 May 2013 11:16:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: James Page <james.page@ubuntu.com>
+Uploaders: James Page <jamespage@debian.org>
 Build-Depends:
  cdbs,
  debhelper (>= 7),

## stapler 1.218

=== debian/changelog ===
stapler (1.218-1) unstable; urgency=medium

  * New upstream release:
    - d/control: Add new BD on libjzlib-java.
    - d/p/*: Refresh patches.
    - Drop use of custom doklet during javadoc generation.
    - d/maven.ignoreRules: Ignore use of stapler adjunct during testing.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 31 Dec 2013 14:22:08 +0000

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  libjenkins-dom4j-java,
  libjenkins-json-java,
  libjetty-java,
+ libjzlib-java,
  liblocalizer-java,
  libmaven-enforcer-plugin-java,
  libmaven-install-plugin-java,
@@ -38,7 +39,7 @@
  libmockito-java,
  libservlet2.5-java,
  libtiger-types-java
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://stapler.java.net
 Vcs-Git: git://git.debian.org/git/pkg-java/stapler.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/stapler.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/javahelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME              := /usr/lib/jvm/default-java
DEB_MAVEN_BUILD_TARGET := install
DEB_MAVEN_DOC_TARGET := javadoc:jar javadoc:aggregate

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://githubredir.debian.net/github/stapler/stapler/ stapler-parent-(.+).tar.gz  debian jh_repack

## stapler 1.224

=== debian/changelog ===
stapler (1.224-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - New dependency on libjsr305-java
    - Removed 0007-Remove-use-of-findbugs.patch
    - Depend on libjenkins-dom4j-java >= 1.6.1-jenkins-4
  * Replaced the patches disabling the jruby and jrebel modules
    with ignore rules in debian/libstapler-java.poms
  * Switch to debhelper level 9
  * debian/copyright: Fixed the short name of the licenses

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 07 Sep 2014 22:50:35 +0200

stapler (1.218-2) unstable; urgency=low

  * Team upload.
  * Update Maven settings to use correct coordinates for Groovy 1.8.x.
    (Closes: #750273).
  * Use canonical URLs for Vcs-* fields.

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 26 May 2014 22:22:57 -0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: James Page <jamespage@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
+ debhelper (>= 9),
  default-jdk,
  javahelper,
  maven-debian-helper
 Build-Depends-Indep:
  default-jdk-doc,
- groovy,
+ groovy (>= 1.8.6-4~),
  junit4,
  libannotation-indexer-java,
  libasm3-java,
@@ -26,9 +26,10 @@
  libjellydoc-java,
  libjenkins-commons-jelly-java,
  libjenkins-htmlunit-java,
- libjenkins-dom4j-java,
+ libjenkins-dom4j-java (>= 1.6.1-jenkins-4~),
  libjenkins-json-java,
  libjetty-java,
+ libjsr305-java,
  libjzlib-java,
  liblocalizer-java,
  libmaven-enforcer-plugin-java,
@@ -41,8 +42,8 @@
  libtiger-types-java
 Standards-Version: 3.9.5
 Homepage: http://stapler.java.net
-Vcs-Git: git://git.debian.org/git/pkg-java/stapler.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/stapler.git
+Vcs-Git: git://anonscm.debian.org/pkg-java/stapler.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/stapler.git
 
 Package: libstapler-java
 Architecture: all

## stapler 1.231

=== debian/changelog ===
stapler (1.231-2) unstable; urgency=medium

  * Team upload.
  * Transition to Groovy 2
  * Build with the DH sequencer instead of CDBS

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Nov 2015 12:35:54 +0100

stapler (1.231-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added a patch to remove the prerequisite on Maven 3
  * debian/control:
    - Standards-Version updated to 3.9.6 (no changes)
    - Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Oct 2014 19:50:51 +0200

stapler (1.228-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Depend on libasm4-java instead of libasm3-java

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 14 Sep 2014 11:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,16 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <jamespage@debian.org>
 Build-Depends:
- cdbs,
  debhelper (>= 9),
  default-jdk,
  javahelper,
  maven-debian-helper
 Build-Depends-Indep:
  default-jdk-doc,
- groovy (>= 1.8.6-4~),
+ groovy2,
  junit4,
  libannotation-indexer-java,
- libasm3-java,
+ libasm4-java,
  libcommons-beanutils-java,
  libcommons-discovery-java,
  libcommons-fileupload-java,
@@ -40,10 +39,10 @@
  libmockito-java,
  libservlet2.5-java,
  libtiger-types-java
-Standards-Version: 3.9.5
-Homepage: http://stapler.java.net
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/stapler.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/stapler.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/stapler.git
+Homepage: http://stapler.kohsuke.org
 
 Package: libstapler-java
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --buildsystem=maven --with javahelper

override_dh_auto_build:
	dh_auto_build -- install javadoc:jar javadoc:aggregate

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename

## stapler 1.242

=== debian/changelog ===
stapler (1.242-2) unstable; urgency=medium

  * Team upload.
  * Depend on groovy2 instead of groovy
  * Removed 0009-remove-maven3-prereq.patch

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 16 May 2016 16:42:07 +0200

stapler (1.242-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.242.
  * Update get-orig-source target.
  * Declare compliance with Debian Policy 3.9.8.
  * Drop 0001-beanutils18-compat.patch.
  * Drop 0005-revert-kohsuke-asm5.patch.
  * Add libhttpmime-java to Build-Depends.
  * Refresh 0005-revert-kohsuke-asm5.patch
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Sat, 16 Apr 2016 00:11:06 +0200

stapler (1.231-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.7.
  * Vcs: Use https.
  * d/control: Use only Build-Depends field.
  * Switch from libservlet2.5-java to libservlet3.1-java. (Closes: #801025)
  * Add servlet3.1.patch and fix compatibility issue with libservlet3.1-java.
  * Update debian/watch and fix Lintian error
    debian-watch-file-uses-deprecated-githubredir.
  * Switch from libasm4-java to libasm-java.

 -- Markus Koschany <apo@debian.org>  Sun, 03 Apr 2016 17:34:02 +0200

=== debian/control ===
Source: stapler
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 James Page <jamespage@debian.org>
Build-Depends:
 debhelper (>= 9),
 default-jdk,
 default-jdk-doc,
 groovy,
 javahelper,
 junit4,
 libannotation-indexer-java,
 libasm-java,
 libcommons-beanutils-java,
 libcommons-discovery-java,
 libcommons-fileupload-java,
 libcommons-io-java,
 libcommons-jexl-java,
 libcssparser-java,
 libguava-java,
 libguava-java-doc,
 libhttpmime-java,
 libjellydoc-java,
 libjenkins-commons-jelly-java,
 libjenkins-dom4j-java (>= 1.6.1-jenkins-4~),
 libjenkins-htmlunit-java,
 libjenkins-json-java,
 libjetty-java,
 libjsr305-java,
 libjzlib-java,
 liblocalizer-java,
 libmaven-enforcer-plugin-java,
 libmaven-install-plugin-java,
 libmaven-javadoc-plugin-java,
 libmetainf-services-java,
 libmetainf-services-java-doc,
 libmockito-java,
 libservlet3.1-java,
 libtiger-types-java,
 maven-debian-helper (>= 2.0)
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/stapler.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/stapler.git
Homepage: http://stapler.kohsuke.org

Package: libstapler-java
Architecture: all
Depends:
 ${maven:Depends},
 ${misc:Depends}
Recommends:
 ${maven:OptionalDepends}
Description: Stapler HTTP request handling engine
 Stapler is a library that "staples" your application objects to URLs,
 making it easier to write web applications. The core idea of Stapler
 is to automatically assign URLs for your objects, creating an intuitive
 URL hierarchy.
 .
 Stapler provides bindings for:
  * Commons Jelly
  * Groovy
  * JRuby (not packaged)
  * Java Server Pages

Package: libstapler-java-doc
Architecture: all
Section: doc
Depends:
 ${maven:DocDepends},
 ${misc:Depends}
Recommends:
 ${maven:DocOptionalDepends}
Suggests:
 libstapler-java
Description: Documentation for libstapler-java
 Stapler is a library that "staples" your application objects to URLs,
 making it easier to write web applications. The core idea of Stapler
 is to automatically assign URLs for your objects, creating an intuitive
 URL hierarchy.
 .
 Stapler provides bindings for:
  * Commons Jelly
  * Groovy
  * JRuby (not packaged)
  * Java Server Pages
  * JRebel (not packaged)
 .
 This package provides the API documentation for libstapler-java.

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
https://github.com/stapler/stapler/tags \
.*/archive/(?:upstream/)?(?:v||version-|release-|X|R|r)stapler-parent-(\d\S*)\.tar\.gz debian jh_repack
